:root {

    --navbar: rgb(255, 255, 255);

    --navText: #225396;

    --navhover: #3472aa;

}





* {

    padding: 0;

    box-sizing: border-box;

}



html,

body {

    scroll-behavior: smooth;

}



body {

    background-color: rgb(235, 232, 226);

    font-family: Arial,

        Helvetica,

        sans-serif;

    margin: 0;

}



img {

    width: 100%;

    height: auto;

}



p {

    font-size: 15px;

    letter-spacing: 1.6px;

}



a {

    text-decoration: none;

}



section {

    width: 80%;

    padding: 100px 0px;

    margin: auto;

}



.bg {

    /* The image used */

    background-image: url("img/bg.jpg");

    position: fixed;

    top: 0;

    left: 0;

    width: 100%;

    height: 100vh;

    background-position: center;

    background-size: cover;

    z-index: -10;

}



.bgcover {

    background-color: rgba(240, 240, 240, 0.766);

    position: absolute;

    top: 0;

    left: 0;

    width: 100%;

    height: 100vh;

}



/* 導覽列 */



.nav-container {

    width: 100%;

    background-color: var(--navbar);

    z-index: 10;

    position: fixed;

    box-shadow: 0px 3px 5px rgba(0, 0, 0, 0.265);

}



.navbar {

    display: grid;

    grid-template-columns: 0.2fr auto 1fr;

    align-items: center;

    width: 95%;

    max-width: 1720px;

    margin: 0 auto;

}





#navbar-logo {

    width: 55%;

    justify-self: start;

    margin-left: 20px;

    cursor: pointer;

}



.nav-menu {

    display: grid;

    grid-template-columns: repeat(7, auto);

    list-style: none;

    text-align: center;

    width: 60%;

    justify-self: end;

}



.nav-links {

    font-size: 18px;

    letter-spacing: 1.8px;

    color: var(--navText);

}



.nav-links:hover {

    color: var(--navhover);

    transition: all 0.2s ease-out;

}



.menu-toggle .bar {

    width: 25px;

    height: 3px;

    margin: 5px auto;

    transition: all 0.3s ease-in-out;

    background: #225396;

}



/* banner幻燈片 */



.swiper {

    width: 100%;

    height: 100vh;

    margin-bottom: 100px;

}



#product .swiper {

    width: 100%;

    height: 100%;

}



.swiper-slide {

    text-align: center;

    font-size: 18px;

    background: #fff;



    /* Center slide text vertically */

    display: -webkit-box;

    display: -ms-flexbox;

    display: -webkit-flex;

    display: flex;

    -webkit-box-pack: center;

    -ms-flex-pack: center;

    -webkit-justify-content: center;

    justify-content: center;

    -webkit-box-align: center;

    -ms-flex-align: center;

    -webkit-align-items: center;

    align-items: center;

    overflow: initial;

}



.banner .swiper-slide img {

    display: block;

    width: 100%;

    height: 90%;

    object-fit: cover;

    margin-top: 125px;

}

.bannerbtn {
    position: absolute;
    bottom: 6%;
    right: 3%;
    transform: translate(-50%, -50%);
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.bannerbtn a {
    border-radius: 4px;
    margin: auto 12px;
    width: 100%;
    background-color: #3472aa;
    text-align: center;
    color: #ffffff;
    padding: 20px;
    transition: 0.5s;
}

.bannerbtn a:hover {
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.4);
}

/* 最新消息 */



.newsArea {

    flex-wrap: wrap;

    display: flex;

    justify-content: space-around;



}



.newsItem {

    width: 30%;

}


.item2 {
    float: left;
    width: 50%;
    height: 100%;
    padding: 0 2%;
    margin: 70px auto 30px;
}


.accordion {

    color: #444;

    cursor: pointer;

    padding: 18px;

    bottom: 25px;

    width: 100%;

    border: none;

    text-align: left;

    outline: none;

    font-size: 15px;

    transition: 0.4s;

    transition: all 0.5s ease-out;

}



#news .active,

.accordion:hover {

    background-color: #ccc;

}



.panel {

    padding: 0 20px;

    background-color: white;

    max-height: 0;

    overflow: hidden;

    transition: all 0.5s ease-out;

}



.panel p {

    font-size: 16px;

    letter-spacing: 1.8px;

    line-height: 1.8;

    text-align: justify;

    font-weight: 500;

}



.panel ol li {

    font-size: 14px;

    letter-spacing: 1.8px;

    line-height: 1.8;

    margin-left: 20px;

    margin-bottom: 15px;

    opacity: 0.8;

}


#news .swiper {
    width: 100%;
    height: 100%;
    margin-bottom: 0px;
}

#news .swiper-slide {
    text-align: center;
    font-size: 18px;
    background: #fff;

    /* Center slide text vertically */
    display: -webkit-box;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-box-align: center;
    -ms-flex-align: center;
    -webkit-align-items: center;
    align-items: center;
}

#news .swiper-slide img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}



/* 關於我們 */



#about {

    width: 100%;

}



.aboutTitle {

    /* The image used */

    background-image: url("img/about2.jpg");



    /* Set a specific height */

    min-height: 500px;



    /* Create the parallax scrolling effect */

    background-attachment: fixed;

    background-position: center;

    background-repeat: no-repeat;

    background-size: cover;

    width: 100%;

    position: relative;

}



.aboutTitle p {

    display: inline-block;

    position: absolute;

    top: 50%;

    left: 50%;

    transform: translate(-50%, -50%);

    padding: 20px;

    background-color: rgb(213, 213, 213);

    color: rgb(64, 64, 64);

    font-size: 22px;

    letter-spacing: 10px;

}



.aboutText {

    background-color: rgb(255, 255, 255);

    padding: 60px 0px;

}



.aboutText .title {

    text-align: center;

    font-size: 20px;

    font-weight: 600;

    letter-spacing: 3px;

    margin-bottom: 30px;

}



.aboutText p {

    width: 70%;

    margin: 0 auto;

    margin-top: 0px;

    letter-spacing: 1.8px;

    line-height: 2;

}



/* 住宿規劃 */

.tabs-container {

    font-family: "Roboto", sans-serif;

    max-width: 1200px;

    min-height: 400px;

    margin: 30px auto;

    display: flex;

    box-shadow: 0 4px 20px -8px #225396;

}



.tabs-container .tabs {

    width: 300px;

    background-color: #0c3b84;

    color: rgb(245, 245, 245);

    text-transform: uppercase;

    text-align: center;

}



.tabs-container .tabs .tab {

    padding: 24px 16px;

    background-color: #225396;

    cursor: pointer;

    font-weight: bold;

    transition: all 0.5s ease-out;

}



.tabs-container .tabs .active {

    background-color: rgb(240, 240, 240);

    color: #222;

}



.tabs-container .content-container {

    width: 100%;

    background-color: rgb(240, 240, 240);

}



.tabs-container .content-container .content {

    display: none;

    padding: 50px;

}



.tabs-container .content-container .content.active {

    height: 400px;

    display: block;

    background-color: rgb(240, 240, 240);

    overflow: scroll;

    overflow-x: hidden;

}



.content .title {

    margin: 0;

    font-size: 30px;

    font-weight: 900;

}



.content li {

    line-height: 2;

    font-size: 16px;

    font-weight: 400;

    margin-left: 20px;

}



/* 房型介紹 */





#roomType img {

    height: 300px;

    object-fit: cover;

    transition: all 0.3s ease;

}



#roomType img:hover {

    box-shadow: 0px 0px 8px rgba(0, 0, 0, 0.347);

}



#roomType .content2 img {

    height: 500px;

}



#roomType p {

    font-size: 16px;

    line-height: 1.8;

    letter-spacing: 1.8px;

    padding: 10px;

}



#roomType .title {

    font-size: 50px;

    word-break: break-all;

    font-weight: 900;

}



#roomType .title2 {

    font-size: 28px;

    font-weight: 900;

}



#roomType .title3 {

    padding: 0px 10px;

    font-size: 18px;

    font-weight: 600;

    opacity: 0.7;

}



#roomType .row {

    margin: 8px -16px;

}



#roomType .row,

#roomType .row>.column {

    padding: 8px;

}



#roomType .column {

    float: left;

    width: 50%;

}



#roomType .row:after {

    content: "";

    display: table;

    clear: both;

}



/* Content */

.content {

    background-color: white;

    padding: 10px;

}



/* 精選照片 */



#photo {

    width: 80%;

    margin-right: auto;

    display: flex;

    justify-content: flex-start;

    flex-wrap: wrap;

}



.photoItem {

    position: relative;

    width: 24%;

    margin-bottom: 20px;

    margin-right: 10px;

}



#photo img {

    display: block;

    box-shadow: 0px 0px 6px rgba(0, 0, 0, 0.272);

    border-radius: 5px;

}



#photo img:hover {

    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.238);

    transition: all 0.5s ease;

}



.overlay {

    position: absolute;

    bottom: 0;

    background: rgba(191, 191, 191, 0.789);

    /* Black see-through */

    color: #f1f1f1;

    width: 100%;

    transition: .5s ease;

    opacity: 0;

    color: white;

    font-size: 20px;

    padding: 20px 4px;

    text-align: center;

    letter-spacing: 1.8px;

}



.photoItem:hover .overlay {

    opacity: 1;

}



/* 聯絡我們 */



#contact {

    background-color: #ffffff;

    padding: 100px 150px;

    width: 100%;

    display: flex;

}



.contactText {

    background-color: #225396;

    padding: 20px 30px;

    width: 35%;

}



.contactText .title {

    font-size: 24px;

    font-weight: 900;

    letter-spacing: 1.8px;

    margin-bottom: 5px;

}



.contactText hr {

    width: 30%;

    color: white;

    background-color: white;

    float: left;

}



.contactText p {

    color: white;

    font-size: 16px;

    letter-spacing: 1.8px;

}



.map {

    height: 350px;

    width: 65%;

}



iframe {

    width: 100%;

    height: 100%;

}



/* 社群媒體icon */



#social {

    position: sticky;

    bottom: 0;

    left: 0;

    width: 100%;

    margin-top: 30px;

}



#social ul {

    display: flex;

    margin: 0px;

}



#social ul li {

    filter: brightness(1);

    border-bottom: none;

    margin-right: 20px;

    display: block;

}



#social ul li a {

    opacity: 0.7;

    width: 25px;

    height: 25px;

    background-position: center;

    background-repeat: no-repeat;

    background-size: 100%;

    display: block;

}



#social .ig {

    background-image: url(https://www.shop1688.com.tw/sys/ig.svg);

}



#social .fb {

    background-image: url(https://www.shop1688.com.tw/sys/fb.svg);

}



#social .line {

    background-image: url(https://www.shop1688.com.tw/sys/line.svg);

}



#social .pchome {

    background-image: url(https://www.shop1688.com.tw/sys/pchome.svg);

}



#social .pchomeStore {

    background-image: url(https://www.shop1688.com.tw/sys/pchomeStore.svg);

}



#social .reten {

    background-image: url(https://www.shop1688.com.tw/sys/reten.svg);

}



#social .shopee {

    background-image: url(https://www.shop1688.com.tw/sys/shopee.svg);

}



#social .tumblr {

    background-image: url(https://www.shop1688.com.tw/sys/tumblr.svg);

}



#social .web {

    background-image: url(https://www.shop1688.com.tw/sys/web.svg);

}



#social .yahoo {

    background-image: url(https://www.shop1688.com.tw/sys/yahoo.svg);

}



#social .youtube {

    background-image: url(https://www.shop1688.com.tw/sys/youtube.svg);

}



#social .tag {

    background-image: url(https://www.shop1688.com.tw/sys/tagBorder.svg);

}



#social .momo {

    background-image: url(https://www.shop1688.com.tw/sys/momo.svg);

}



#social .rakuten {

    background-image: url(https://www.shop1688.com.tw/sys/rakuten.svg);

}



#social .pixnet {

    background-image: url(https://www.shop1688.com.tw/sys/pixnet.svg);

}



#social .bandq {

    background-image: url(https://www.shop1688.com.tw/sys/bandq.svg);

}



#social .taobao {

    background-image: url(https://www.shop1688.com.tw/sys/taobao.svg);

}



#social .books {

    background-image: url(https://www.shop1688.com.tw/sys/books.svg);

}



#social .gomaji {

    background-image: url(https://www.shop1688.com.tw/sys/gomaji.svg);

}



#social .foodpanda {

    background-image: url(https://www.shop1688.com.tw/sys/foodpanda.svg);

}



#social .top {

    background-image: url(https://www.shop1688.com.tw/sys/top.svg);

    transition: 0.5s;

}



.copyright {

    background-color: #ddd;

}



.copyright p {

    text-align: center;

    font-size: 12px;

    margin: 5px 0px;

    color: rgb(85, 74, 64);

}



#project .proArea {

    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

    align-items: center;

    margin: 50px 0px;

}



#project .projectItem {
    margin: auto;
    width: 100%
}



#project .swiper {

    width: 100%;

    height: 100%;

}



#project .swiper-slide {

    text-align: center;

    font-size: 18px;

    background: #fff;



    /* Center slide text vertically */

    display: -webkit-box;

    display: -ms-flexbox;

    display: -webkit-flex;

    display: flex;

    -webkit-box-pack: center;

    -ms-flex-pack: center;

    -webkit-justify-content: center;

    justify-content: center;

    -webkit-box-align: center;

    -ms-flex-align: center;

    -webkit-align-items: center;

    align-items: center;

}



#project .swiper-slide img {

    display: block;

    width: 100%;

    height: 100%;

    object-fit: cover;

}



#project .swiper {

    width: 100%;

    height: 400px;

    margin-left: auto;

    margin-right: auto;

}



#project .swiper-slide {

    background-size: cover;

    background-position: center;

}



#project .mySwiper-top {

    height: 100%;

    width: 100%;

    margin-bottom: 20px;

}



#project .mySwiper-down {

    height: 20%;

    box-sizing: border-box;

    padding: 10px 0;

    margin-bottom: 0px;

}



#project .mySwiper-down .swiper-slide {

    width: 25%;

    height: 100%;

}







#project .swiper-slide img {

    display: block;

    width: 100%;

    height: 100%;

    object-fit: cover;

}



#project .title {

    font-size: 32px;

    font-weight: 700;

    margin-bottom: 10px;
    text-align: center;
    color: #0c3b84;
}



#project hr {

    height: 1.5px;

    background-color: rgba(34, 34, 34, 0.733);

    border: 0px;

}



#project p {

    font-size: 16px;

    letter-spacing: 1.8px;

    line-height: 2;

    text-align: justify;

}

.plantitle {
    text-align: center;
    font-size: 20px;
    font-weight: 900;
    color: #0c3b84;
}

.btn a {
    width: 150px;
    height: 40px;
    display: block;
    text-align: center;
    cursor: pointer;
    line-height: 40px;
    color: #0c3b84;
    background-color: transparent;
    border: 1px solid #0c3b84;
    border-radius: 4px;
    transition: all .3s linear;
    margin: 20px auto;
}

.btn a:hover {
    background-color: #0c3b84;
    color: #fff;
}

@media screen and (max-width: 900px) {

    .nav-menu {

        width: 90%;

    }



    #contact {

        padding: 100px 80px;

    }



    .contactText p {

        font-size: 12px;

    }



    .contactText {

        width: 60%;

    }



    .map {

        width: 60%;

    }



}



@media screen and (max-width: 600px) {

    section {

        padding: 40px 0px;

    }



    .swiper {

        padding-top: 80px;

        height: 100%;

    }



    .navbar {

        height: 80px;

    }



    .nav-container {

        position: fixed;

    }



    .nav-menu {

        display: grid;

        grid-template-columns: auto;

        background: var(--navbar);

        margin: 0;

        width: 100%;

        position: absolute;

        top: 80px;

        left: -100%;

        opacity: 0;

        transition: all 0.5s ease;

    }





    #navbar-logo {

        width: 150%;

        margin-left: 20px;

    }



    .nav-menu.active {

        background: var(--navbar);

        left: 0;

        opacity: 1;

        transition: all 0.5s ease;

    }



    .nav-links {

        text-align: center;

        line-height: 60px;

        width: 100%;

        display: table;

    }



    .nav-links:hover {

        background-color: var(--navhover);

        color: white;

        transition: all 0.4s ease-out;

    }



    .navbar {

        width: 100%;

    }



    #mobile-menu {

        position: absolute;

        top: 20%;

        right: 5%;

        transform: translate(5%, 20%);

    }



    .menu-toggle .bar {

        display: block;

        cursor: pointer;

    }



    .menu-toggle:hover {

        cursor: pointer;

    }



    #mobile-menu.is-active .bar:nth-child(2) {

        opacity: 0;

    }



    #mobile-menu.is-active .bar:nth-child(1) {

        transform: translateY(11px) rotate(45deg);

    }



    #mobile-menu.is-active .bar:nth-child(3) {

        transform: translateY(-5px) rotate(-45deg);

    }

    .bannerbtn {
        position: absolute;
        bottom: 15%;
        right: 25%;
        transform: translate(50%, 50%);
        display: flex;
        flex-direction: row;
        justify-content: center;
    }

    .bannerbtn a {
        border-radius: 4px;
        margin: auto 8px;
        width: 100%;
        background-color: #3472aa;
        text-align: center;
        color: #ffffff;
        padding: 8px;
        transition: 0.5s;
    }

    .photoItem {

        width: 100%;

    }



    .aboutTitle {

        height: 300px;

    }



    .aboutTitle p {

        font-size: 20px;

        width: 70%;

        text-align: center;

    }





    .newsArea {

        flex-wrap: wrap;

    }



    .newsItem {

        width: 100%;

        margin-bottom: 30px;

    }


    .item2 {
        width: 100%;
        float: none;
        margin: auto;
        margin-bottom: 48px;
    }



    .tabs-container .tabs {

        width: 100%;

    }



    .tabs-container {

        flex-direction: column;

    }



    .tabs-container .content-container .content.active {

        height: 300px;

    }



    .tabs-container .content-container .content {

        padding: 20px;

    }



    .content li {

        font-size: 14px;

    }



    #roomType p {

        font-size: 14px;

        padding: 0px;

    }



    #roomType .title2 {

        font-size: 24px;

    }



    #roomType .column {

        width: 100%;

        margin-bottom: 30px;

    }



    #roomType .title3 {

        font-size: 16px;

        letter-spacing: 1.5px;

    }



    #roomType .content2 img {

        height: 300px;

    }



    #project .proArea {

        flex-wrap: wrap;

        margin: 50px 0px;

    }



    #project .projectItem {

        width: 100%;

    }



    #project .swiper {

        padding-top: 0px;

    }



    #contact {

        padding: 60px 30px;

        flex-wrap: wrap;

    }



    .contactText {

        width: 100%;

        padding: 25px 15px;

    }



    .map {

        width: 100%;

    }



    .contactText .title {

        margin: 5px 0px;

    }

    .aboutText p {
        font-size: 14px;
    }

    .photoItem {
        margin-right: 0px;
    }


    .banner .swiper-slide img {

        margin-top: 80px;

    }
}